/**************************************************************************
 *	Copyright (C) 2004  iCapsid.net
 *
 * 	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version 2
 *	of the License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place - Suite 330, 
 *	Boston, MA  02111-1307, USA.
 *
 ****************************************************************************/

#if _MSC_VER > 1000
#pragma once
#endif

#ifndef _H_F3_FE_DRAW
#define _H_F3_FE_DRAW

#include "xml_cfg.hpp"		// For the XML Configuration manager


class FeDraw
{

public:
	virtual void draw(GLenum mode = GL_RENDER) = 0;
//	virtual void generate(void) = 0;
	
	void drawSphere(float r);
	void loadTextures();
	GLuint getTexture(OS_FAMILY::OS os_fam);
	void drawSelected();

public: 
	TextureStore* m_TexStore;
	XMLConfig*	m_Config;
//	bool m_Dirty;  // Tests wether or not... we need to redraw the scene
//	GLuint m_dList;

};


#endif //_H_F3_FE_DRAW
